Debian Bug report logs - #348719
ITA: rxvt-unicode -- RXVT-like terminal emulator with Unicode support

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Eduard Bloch <blade@debian.org>

Date: Wed, 18 Jan 2006 16:18:34 UTC

Owned by: Decklin Foster <decklin@red-bean.com>

Severity: normal

Fixed in version rxvt-unicode/7.7-1

Done: Decklin Foster <decklin@red-bean.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#348719; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: rxvt-unicode -- RXVT-like terminal emulator with Unicode support
Date: Wed, 18 Jan 2006 17:16:01 +0100
Package: wnpp
Severity: normal

I intend to orphan the rxvt-unicode package. Contact me in private to
learn about potential problems with it.

Eduard.

The package description is:
 Rxvt-Unicode is a modern, Unicode-aware color xterm
 replacement that uses significantly less memory than a conventional
 xterm and many other Unicode supporting terminal emulators.
 .
 It also supports using multiple fonts at the same time, including Xft
 fonts, and client-server technology to reduce memory consumption when
 using multiple windows.
 .
 This package contains the program version with mostly used features
 enabled, including transparency, (16-bit) Unicode and FreeType font
 support.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.1
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#348719; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@damog.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 348719@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@damog.net>
To: Eduard Bloch <blade@debian.org>, 348719@bugs.debian.org
Subject: Re: Bug#348719: O: rxvt-unicode -- RXVT-like terminal emulator with Unicode support
Date: Sun, 22 Jan 2006 13:16:28 -0600
On 17:16 Wed 18 Jan 2006, Eduard Bloch wrote:
> I intend to orphan the rxvt-unicode package. Contact me in private to
> learn about potential problems with it.

Can't they be summarized on the bug report?

-- 



Information stored:
Bug#348719; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marc Lehmann <schmorp@schmorp.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 348719-quiet@bugs.debian.org (full text, mbox):

From: Marc Lehmann <schmorp@schmorp.de>
To: 348719-quiet@bugs.debian.org
Subject: Re: O: rxvt-unicode -- RXVT-like terminal emulator with Unicode support
Date: Sat, 28 Jan 2006 00:03:33 +0100
David Moreno Garza wrote:
>> learn about potential problems with it.
>
>Can't they be summarized on the bug report?

That he didn't is a symptom, so I'll do.

The fact that Eduard is unable to report bugs, but very able to add buggy
patches on his own to the debian package, despite upstream (=me) telling
him beforehand that this is buggy, and the fact that he was even bold
enough to _remove_ the sections in the FAQ that referred people to to
debian bts when reporting bugs _in the patched debian version_ instead of
reporting them upstream created social, lets say, tensions between him
and the upstream maintainer.

The fact that he spread wrong (and clueless) complaints about the
reachability of the rxvt-unicode maintainer via his blog didn't help
relationships much, either.

I also believe it would be helpful to summarize his position publicly,
after all the "things" he said to me in private mail, after all, this lead
to orphaning the package :/

Potential victims^Wfuture maintainers are advised that I might not be the
easiest person to work with, because I care for the quality of my software
and are not easily concinved of anything without sound arguments. Notably,
I will not support a version of my software that has buggy patches applied
against my explicit recommendations in any way.

On the plus side, I am very reasonable if you try it with logic instead of
with insults, am very active about bugs reported in the debian BTS, and
very knowledgable about the issues involved with debian. I also use debian
myself, which often helps pinpointing and solving problems.

The above is certainly not a neutral point of view, but it summarizes
_my_ problems with the package, which, according to Eduard, lead to him
orphaning it, something I very much appreciated: He is not a good software
maintainer.

-- 
                The choice of a
      -----==-     _GNU_
      ----==-- _       generation     Marc Lehmann
      ---==---(_)__  __ ____  __      pcg@goof.com
      --==---/ / _ \/ // /\ \/ /      http://schmorp.de/
      -=====/_/_//_/\_,_/ /_/\_\      XX11-RIPE



Information stored:
Bug#348719; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 348719-quiet@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Marc Lehmann <schmorp@schmorp.de>
Cc: 348719-quiet@bugs.debian.org
Subject: Re: O: rxvt-unicode -- RXVT-like terminal emulator with Unicode support
Date: Tue, 31 Jan 2006 17:54:24 +0100
Moin Marc!
Marc Lehmann schrieb am Saturday, den 28. January 2006:

> >> learn about potential problems with it.
> >
> >Can't they be summarized on the bug report?
> 
> That he didn't is a symptom, so I'll do.

I hoped to avoid this public mud-wrestling but you insist on beeing
right and having the last word and so you will get the one last public
answer from me.

As explained PM but you interpret things in your own way, as usual. When
talking about symptoms, I can even imagine that you have choosen the
-quiet address deliberately, to make me not notice your piece of...
"text".

And you did not consider that I have been waiting for few days to look
whether a (registered) DD with upload permissions volunteers? Simply
because I would not like to come in touch with any of your code (except
of pure USE of rxvt-unicode, which I consider to replace with pterm on
my local systems sooner or later) and because uploading for others often
means beeing a mentor as well.

> The fact that Eduard is unable to report bugs, but very able to add buggy
> patches on his own to the debian package, despite upstream (=me) telling
> him beforehand that this is buggy, and the fact that he was even bold
> enough to _remove_ the sections in the FAQ that referred people to to
> debian bts when reporting bugs _in the patched debian version_ instead of
> reporting them upstream created social, lets say, tensions between him
> and the upstream maintainer.

"Tensions" is a good compromise, indeed. And that your action has not
been very polite and the "facts" listed there have been "slightly"
exagerating, those things are not worth beeing mentioned here, of course
not. You are (as always) right and I am just a stupid Debian dev trying
to ruin your day.

> The fact that he spread wrong (and clueless) complaints about the
> reachability of the rxvt-unicode maintainer via his blog didn't help
> relationships much, either.

Your system blocking my pretty valid mails has not been a dream of mine.
If you don't want to realize that it is YOUR problem.

> I also believe it would be helpful to summarize his position publicly,
> after all the "things" he said to me in private mail, after all, this lead
> to orphaning the package :/

"Things"? Don't make it look like there was a big private flamewar, and
I don't feel the need to apologize for anything. It is not my problem if
you take every change on your software like a personal attack. It is not
my problem if you _know_ about bugs caused by me but do not forward that
reports to me but then you are bitching in documentation instead. Or if
you fail to see that distributions have other priorities than the parent
of some code.

My problem may be the different level of knowledge of internals, but
since I am not the upstream developer and since you explain everything
as "bad bug report quality" because of your "reasonable logic", I have
no choice but droping the package. Not that I did not have enough other
things to do, including maintaining other packages with less touchy
upstream authors.

Eduard.

-- 
Du kanns nicht so paranoid sein, wie
die Wirklichkeit es erfordert.
		-- Wolfgang Nowak



Information stored:
Bug#348719; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Decklin Foster <decklin@red-bean.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 348719-quiet@bugs.debian.org (full text, mbox):

From: Decklin Foster <decklin@red-bean.com>
To: 348719-quiet@bugs.debian.org
Subject: status
Date: Fri, 3 Mar 2006 00:36:21 -0500
I'm tenatively considering adopting this, but if anyone wants to jump
right in and retitle this an ITA, by all means go ahead, or if you are a
very ambitious NM who needs a sponsor, pester me about it.

-- 
things change.
decklin@red-bean.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#348719; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Decklin Foster <decklin@red-bean.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 348719@bugs.debian.org (full text, mbox):

From: Decklin Foster <decklin@red-bean.com>
To: 348719@bugs.debian.org
Cc: control@bugs.debian.org
Subject: intent to adopt
Date: Wed, 8 Mar 2006 13:35:02 -0500
retitle 348719 ITA: rxvt-unicode -- RXVT-like terminal emulator with Unicode support
thanks

OK, I have decided I will adopt this. An upload of the latest version
will be prepared soon. Thanks, Eduard and Marc, for filling me in on
everything.

-- 
things change.
decklin@red-bean.com



Changed Bug title. Request was from Decklin Foster <decklin@red-bean.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Decklin Foster <decklin@red-bean.com>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Decklin Foster <decklin@red-bean.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eduard Bloch <blade@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 348719-close@bugs.debian.org (full text, mbox):

From: Decklin Foster <decklin@red-bean.com>
To: 348719-close@bugs.debian.org
Subject: Bug#348719: fixed in rxvt-unicode 7.7-1
Date: Thu, 23 Mar 2006 07:47:05 -0800
Source: rxvt-unicode
Source-Version: 7.7-1

We believe that the bug you reported is fixed in the latest version of
rxvt-unicode, which is due to be installed in the Debian FTP archive:

rxvt-unicode-lite_7.7-1_i386.deb
  to pool/main/r/rxvt-unicode/rxvt-unicode-lite_7.7-1_i386.deb
rxvt-unicode-ml_7.7-1_i386.deb
  to pool/main/r/rxvt-unicode/rxvt-unicode-ml_7.7-1_i386.deb
rxvt-unicode_7.7-1.diff.gz
  to pool/main/r/rxvt-unicode/rxvt-unicode_7.7-1.diff.gz
rxvt-unicode_7.7-1.dsc
  to pool/main/r/rxvt-unicode/rxvt-unicode_7.7-1.dsc
rxvt-unicode_7.7-1_i386.deb
  to pool/main/r/rxvt-unicode/rxvt-unicode_7.7-1_i386.deb
rxvt-unicode_7.7.orig.tar.gz
  to pool/main/r/rxvt-unicode/rxvt-unicode_7.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 348719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Decklin Foster <decklin@red-bean.com> (supplier of updated rxvt-unicode package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 10 Mar 2006 16:41:50 -0500
Source: rxvt-unicode
Binary: rxvt-unicode-ml rxvt-unicode rxvt-unicode-lite
Architecture: source i386
Version: 7.7-1
Distribution: unstable
Urgency: low
Maintainer: Decklin Foster <decklin@red-bean.com>
Changed-By: Decklin Foster <decklin@red-bean.com>
Description: 
 rxvt-unicode - RXVT-like terminal emulator with Unicode support
 rxvt-unicode-lite - RXVT-like terminal emulator with basic Unicode support
 rxvt-unicode-ml - multi-lingual terminal emulator with Unicode support for X11
Closes: 246059 263123 270160 291587 294582 314977 328965 339833 342738 347434 348666 348719 351371 351872 352168 354904 355069
Changes: 
 rxvt-unicode (7.7-1) unstable; urgency=low
 .
   * (XXX CECI N'EST PAS UNE CHANGELOG)
   * Adopting package. (Closes: #348719)
   * The following bugs have been fixed in previous Debian revisions:
     - An x-terminal-emulator alternative is provided (Closes: #314977)
     - /dev/tty is now readable by default (this was actually a bug in makedev
       which was not reassigned for some reason.) (Closes: #246059)
   * New upstream release:
     - Cleans up eaves zombie shell processes in urxvtd (Closes: #339833)
     - Handling of bold "special" characters fixed (Closes: #294582)
     - Setting/pasting of PRIMARY selection fixed (Closes: #328965, #291587)
     - #284257, should no longer happen, but I don't have a PPC.
   * Rebuild against new Xft (Closes: #352168, #351371)
   * Enable Perl support in rxvt-unicode-ml.
   * Switch from dpatch to quilt.
   * Fix documentation of utmp/wtmp permissions (Closes: #342738)
   * Add FSF address to debian/copyright.
   * Remove -D from install call (breaks with Ubuntu's coreutils).
   * Set resource class to URxvt and fallback class to Rxvt for all flavors.
     (Closes: #263123, #270160)
   * Document the fact that $TERM defaults to rxvt-unicode (not rxvt), and how
     to change this with X resources. Users do not (and should not) have to
     compile terminfo entries, so remove these from examples; ncurses-base
     provides a proper one already. (Closes: #351872)
   * Install alternative for rxvt.1.gz. (Closes: #355069)
   * Specify default fontset in app-defaults. (Closes: #348666)
   * Removed debian/urxvtc.1 (superseded by upstream).
   * Run pod2man using the name (i.e page heading) "urxvt" rather than "rxvt".
     (Closes: #354904)
   * Added urxvtcd script to automatically start urxvtd if necessary and run
     urxvtc. (Closes: #347434)
   * Added watch file.
Files: 
 664cf29371d5f24ed0848d1251a68f3e 748 x11 optional rxvt-unicode_7.7-1.dsc
 e9c7c526ae661c716115aa1ba7b1138c 1159212 x11 optional rxvt-unicode_7.7.orig.tar.gz
 1bf4f5e6bf062970e5330dc035ff597c 21079 x11 optional rxvt-unicode_7.7-1.diff.gz
 10d43b87d926a5c193fbf915b88ea20f 1049028 x11 optional rxvt-unicode_7.7-1_i386.deb
 09873c9ae76e383c3d11513ceb9c16bb 1240194 x11 optional rxvt-unicode-ml_7.7-1_i386.deb
 bbf7aa6e554d017be3f9221c0a82e807 1048304 x11 optional rxvt-unicode-lite_7.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEIr/zuIJGh/GWjRsRAhhEAKCGiy/nOZl34wmefe81k521xlPQFwCgidW8
1ud6bT4/3HvYoh1daE4umIY=
=kbAR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 17:47:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:33:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.